```
 ____   ___  ____  _____ 
|  _ \ / _ \/ ___|| ____|
| | | | | | \___ \|  _|  
| |_| | |_| |___) | |___ 
|____/ \___/|____/|_____|
```                         

# DOSE for Disease Ontology Semantic and Enrichment analysis

 This package implements five methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively for measuring semantic similarities among DO terms and gene products. Enrichment analyses including hypergeometric model and gene set enrichment analysis are also implemented for discovering disease associations of high-throughput biological data. 

## Authors ##

Guangchuang YU, School of Public Health, The University of Hong Kong [http://ygc.name](http://ygc.name)

## License ##

All source code is copyright, under the Artistic-2.0 License.
For more information on Artistic-2.0 License see [http://opensource.org/licenses/Artistic-2.0](http://opensource.org/licenses/Artistic-2.0)

## Installation ##

To install:
 * the latest released version:
   `biocLite("DOSE")`
 * the latest development version:
   `install_github("GuangchuangYu/DOSE")`

## Documentation ##

Find out more at [http://www.bioconductor.org/packages/release/bioc/html/DOSE.html](http://www.bioconductor.org/packages/release/bioc/html/DOSE.html) and check out the [vignettes](http://www.bioconductor.org/packages/release/bioc/vignettes/DOSE/inst/doc/DOSE.pdf).

To view the vignette of `DOSE` installed in your system, start R and enter:
```r
browseVignettes("DOSE")
```

## Bugs/Feature requests ##

 - If you have any, [let me know](https://github.com/GuangchuangYu/DOSE/issues). Thx!

